package com.ruoyi.info.order.service;

import com.ruoyi.common.core.domain.PageQuery;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.info.order.domain.OrderReviews;
import com.ruoyi.info.order.domain.bo.OrderBo;
import com.ruoyi.info.order.domain.bo.OrderReviewsBo;
import com.ruoyi.info.order.domain.vo.OrderReviewsVo;
import com.ruoyi.info.order.domain.vo.OrderVo;

import java.util.Collection;
import java.util.List;

/**
 * 订单评价Service接口
 *
 * @author ruoyi
 * @date 2025-09-29
 */
public interface IOrderReviewsService {

    /**
     * 查询订单评价分页
     *
     * @param bo 订单评价
     * @return 订单评价集合
     */
    TableDataInfo<OrderReviewsVo> queryPageList(OrderReviewsBo bo, PageQuery pageQuery);

    /**
     * 查询订单评价列表
     *
     * @param bo 订单评价
     * @return 订单评价集合
     */
    List<OrderReviewsVo> queryList(OrderReviewsBo bo);

    /**
     * 查询订单评价
     *
     * @param id 订单评价主键
     * @return 订单评价
     */
    OrderReviewsVo queryById(Long id);

    /**
     * 详情订单评价
     *
     * @param id 订单评价主键
     * @return 订单评价
     */
    OrderReviews loadById(Long id, Boolean tw);

    /**
     * 新增订单评价
     *
     * @param bo 订单评价
     * @return 结果
     */
    Boolean insertByBo(OrderReviewsBo bo);

    /**
     * 修改订单评价
     *
     * @param bo 订单评价
     * @return 结果
     */
    Boolean updateByBo(OrderReviewsBo bo);

    /**
     * 校验并批量删除订单评价信息
     *
     * @param ids 需要删除的订单评价主键集合
     * @param isValid 是否校验,true-删除前校验,false-不校验
     * @return 结果
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    OrderReviewsVo queryByOrderId(Long orderId);

    TableDataInfo<OrderVo> queryOrderList(OrderBo bo, PageQuery pageQuery);
}
